# eoCountedDynUpdate Class Reference

An eoUpdater to update an eoUpdatable object every given tic. More...

`#include <eoUpdatable.h>`

Inheritance diagram for eoCountedDynUpdate:

List of all members.

## Public Member Functions

| eoCountedDynUpdate (eoUpdatable &_toUpdate, unsigned _interval)
void | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

const unsigned | interval
unsigned | counter

## Detailed Description

An eoUpdater to update an eoUpdatable object every given tic.

Definition at line 93 of file eoUpdatable.h.

The documentation for this class was generated from the following file:

- eoUpdatable.h